Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Thomas Wolff
Am 28.03.2019 um 19:11 schrieb [hidden email]:

> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
> ERROR: error while reading uploaded arch x86 packages from maintainer Thomas Wolff
> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
> ERROR: error while reading uploaded arch x86_64 packages from maintainer Thomas Wolff
> SUMMARY: 10 ERROR(s)
???
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Achim Gratz
Thomas Wolff writes:

> Am 28.03.2019 um 19:11 schrieb [hidden email]:
>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
>> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
>> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
>> ERROR: error while reading uploaded arch x86 packages from maintainer Thomas Wolff
>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
>> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
>> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
>> ERROR: error while reading uploaded arch x86_64 packages from maintainer Thomas Wolff
>> SUMMARY: 10 ERROR(s)
> ???

The debuginfo package goes into its own subdirectory.  How about you use
cygport at least once and maybe _then_ try to do it "your way"?


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf rackAttack:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

marco atzeri-4
In reply to this post by Thomas Wolff
Am 28.03.2019 um 19:27 schrieb Thomas Wolff:
> Am 28.03.2019 um 19:11 schrieb [hidden email]:
>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty'
>> contains '-' in version

> ???

Just a guess,  your tree is

x86/release/mintty/mintty-3.0.0-1-src.tar.xz
x86/release/mintty/mintty-debuginfo-3.0.0-1.hint
x86/release/mintty/mintty-3.0.0-1.hint
x86/release/mintty/mintty-debuginfo-3.0.0-1.tar.xz
x86/release/mintty/mintty-3.0.0-1.tar.xz

while usually the packages are arranged as

x86/release/mintty/mintty-3.0.0-1-src.tar.xz
x86/release/mintty/mintty-3.0.0-1.hint
x86/release/mintty/mintty-3.0.0-1.tar.xz
x86/release/mintty/mintty-debuginfo/mintty-debuginfo-3.0.0-1.hint
x86/release/mintty/mintty-debuginfo/mintty-debuginfo-3.0.0-1.tar.xz

---
Diese E-Mail wurde von Avast Antivirus-Software auf Viren gepr├╝ft.
https://www.avast.com/antivirus

Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Corinna Vinschen-2
In reply to this post by Achim Gratz
On Mar 28 19:36, Achim Gratz wrote:

> Thomas Wolff writes:
> > Am 28.03.2019 um 19:11 schrieb [hidden email]:
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
> >> ERROR: error while reading uploaded arch x86 packages from maintainer Thomas Wolff
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' contains '-' in version
> >> ERROR: file 'mintty-debuginfo-3.0.0-1.tar.xz' in package 'mintty' has a version which doesn't start with a digit
> >> ERROR: error while reading uploaded arch x86_64 packages from maintainer Thomas Wolff
> >> SUMMARY: 10 ERROR(s)
> > ???
>
> The debuginfo package goes into its own subdirectory.  How about you use
> cygport at least once and maybe _then_ try to do it "your way"?

That would also make sure your cygport file works for others
which is *hopefully* one part of this exercise.


Corinna

--
Corinna Vinschen
Cygwin Maintainer
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Thomas Wolff
In reply to this post by Thomas Wolff
I've repeatedly tried to upload a new package, with the two discussed
modifications in packaging, and the last response was this:

Am 29.03.2019 um 19:02 schrieb [hidden email]:
> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test version, but version '2.9.9-0' is curr:
> ERROR: install packages from source package 'mintty' have non-unique current versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
> ERROR: error while validating merged x86 packages for Thomas Wolff
> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test version, but version '2.9.9-0' is curr:
> ERROR: install packages from source package 'mintty' have non-unique current versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
> ERROR: error while validating merged x86_64 packages for Thomas Wolff
> SUMMARY: 6 ERROR(s)
Should I upload mintty-3.0.0-1.hint files with
curr: 3.0.0.1
prev: 2.9.9.0
?
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Brian Inglis
On 2019-03-29 12:11, Thomas Wolff wrote:

> I've repeatedly tried to upload a new package, with the two discussed
> modifications in packaging, and the last response was this:
>
> Am 29.03.2019 um 19:02 schrieb [hidden email]:
>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test version, but
>> version '2.9.9-0' is curr:
>> ERROR: install packages from source package 'mintty' have non-unique current
>> versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
>> ERROR: error while validating merged x86 packages for Thomas Wolff
>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test version, but
>> version '2.9.9-0' is curr:
>> ERROR: install packages from source package 'mintty' have non-unique current
>> versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
>> ERROR: error while validating merged x86_64 packages for Thomas Wolff
>> SUMMARY: 6 ERROR(s)
> Should I upload mintty-3.0.0-1.hint files with
> curr: 3.0.0.1
> prev: 2.9.9.0
> ?

If used, that should be:
curr: 3.0.0-1
prev: 2.9.9-0

Check your ${P}/${P}-${V}/${P}-${V}-{R}.${ARCH}/dist/${P}/** hints and tars all
have the same ${P}-${V}-{R} i.e. mintty-3.0.0-1.

The issue may be, as explained, that 2.9.9-0 is treated as a test release.

--
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Jon TURNEY
In reply to this post by Thomas Wolff
On 29/03/2019 18:11, Thomas Wolff wrote:
> I've repeatedly tried to upload a new package, with the two discussed
> modifications in packaging, and the last response was this:
>
> Am 29.03.2019 um 19:02 schrieb
> [hidden email]:
>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test
>> version, but version '2.9.9-0' is curr:

This is because you have an existing override.hint file for mintty,
containing:

curr: 2.9.9-0
prev: 2.9.6-0

You have to decide what you want instead of this.

>> ERROR: install packages from source package 'mintty' have non-unique
>> current versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
>> ERROR: error while validating merged x86 packages for Thomas Wolff
>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test
>> version, but version '2.9.9-0' is curr:
>> ERROR: install packages from source package 'mintty' have non-unique
>> current versions 3.0.0-1 (mintty-debuginfo), 2.9.9-0 (mintty)
>> ERROR: error while validating merged x86_64 packages for Thomas Wolff
>> SUMMARY: 6 ERROR(s)
> Should I upload mintty-3.0.0-1.hint files with
> curr: 3.0.0.1
> prev: 2.9.9.0

No, that's not even valid there. Adjust or remove the override.hint
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Thomas Wolff
In reply to this post by Thomas Wolff
Jon Turney wrote:

> On 29/03/2019 18:11, Thomas Wolff wrote:
>> I've repeatedly tried to upload a new package, with the two discussed
>> modifications in packaging, and the last response was this:
>>
>> Am 29.03.2019 um 19:02 schrieb
>> [hidden email]:
>>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test
>>> version, but version '2.9.9-0' is curr:
>
> This is because you have an existing override.hint file for mintty,
> containing:
>
> curr: 2.9.9-0
> prev: 2.9.6-0
>
> You have to decide what you want instead of this.
I see no such .hint file in the upload area anymore. Even downloaded the
current .hint files to check.

Brian Inglis wrote:
> If used, that should be:
> curr: 3.0.0-1
> prev: 2.9.9-0
>
> Check your ${P}/${P}-${V}/${P}-${V}-{R}.${ARCH}/dist/${P}/** hints and tars all
> have the same ${P}-${V}-{R} i.e. mintty-3.0.0-1.
>
> The issue may be, as explained, that 2.9.9-0 is treated as a test release.
So I'll try the .hint as you fixed...

Thomas

Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Jon TURNEY
In reply to this post by Achim Gratz
On 28/03/2019 18:36, Achim Gratz wrote:
> Thomas Wolff writes:
>>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' contains '-' in version
>>> ERROR: file 'mintty-debuginfo-3.0.0-1.hint' in package 'mintty' has a version which doesn't start with a digit
[...]
> The debuginfo package goes into its own subdirectory
Historically, this was required for at least two reasons:

- Package hint file were all named setup.hint, so couldn't co-exist in
the same directory

- Since hyphen-digit sequences in package names weren't yet forbidden, a
directory named after the package was used to disambiguate where to
split the package name and version
Reply | Threaded
Open this post in threaded view
|

Re: calm: cygwin package upload report from sourceware.org for Thomas Wolff

Brian Inglis
In reply to this post by Thomas Wolff
On 2019-03-29 12:42, Thomas Wolff wrote:

> Jon Turney wrote:
>>> Am 29.03.2019 um 19:02 schrieb
>>> [hidden email]:
>> On 29/03/2019 18:11, Thomas Wolff wrote:
>>> I've repeatedly tried to upload a new package, with the two discussed
>>> modifications in packaging, and the last response was this:
>>>> ERROR: package 'mintty' version '3.0.0-1' is most recent non-test version,
>>>> but version '2.9.9-0' is curr:
>>
>> This is because you have an existing override.hint file for mintty, containing:
>>
>> curr: 2.9.9-0
>> prev: 2.9.6-0
>>
>> You have to decide what you want instead of this.
> I see no such .hint file in the upload area anymore. Even downloaded the current
> .hint files to check.

That existing override.hint may be in the current package directory, not the
upload area which you update, and is checked against that.

What is the best approach to clear override.hint in the next release after an
override was required?

> Brian Inglis wrote:
>> If used, that should be:
>> curr: 3.0.0-1
>> prev: 2.9.9-0
>>
>> Check your ${P}/${P}-${V}/${P}-${V}-{R}.${ARCH}/dist/${P}/** hints and tars all
>> have the same ${P}-${V}-{R} i.e. mintty-3.0.0-1.
>>
>> The issue may be, as explained, that 2.9.9-0 is treated as a test release.

> So I'll try the .hint as you fixed...

Watch for responses to the above to clear out overrides next release!

Once you are on a regular P-V-R cycle, you should not need hints.

Using cygport feeding calm eliminates a lot of the dinkering around
(Thanks Yaakov and Jon)!

--
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.